// 全局BA
/*********版权所有（C）2025，武汉高德红外股份有限公司***************************************
* 文件名称： Arith_BAProc.h
* 文件标识：BA
* 内容摘要：光束平差
* 其它说明：
* 当前版本：V0.5
* 创建作者：04046wcw
* 创建日期：2025/01/15
* 包含关系：
*****************************************************************************************/
#pragma once
#include "StitchStruct.h"

using cv::Mat_;





class BA_Task
{
public:
	BA_Task();
	~BA_Task();

	SINT32 addFrame(GD_VIDEO_FRAME_S img, FrameInfo para);

	void Test();
private:
	Mat_<int> _similarityMat;//配准点邻接表



	//超大空间，考虑文件cache todo！
private:
	vector<cv::Mat> _imgVec;//图像缓存
	vector<cv::Point2d> _FeaPtVec;//特征点缓存



};


